Package com.emc.d2fs.models.item

# Class DocItems

java.lang.Object
com.emc.d2fs.models.item.DocItems

All Implemented Interfaces:
  `Serializable`

public class DocItems extends Object implements Serializable

Java class for docItems complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="docItems">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="upperItem" type="{http://www.emc.com/d2fs/models/item}item" minOccurs="0"/>
             <element ref="{http://www.emc.com/d2fs/models/item}items" maxOccurs="unbounded" minOccurs="0"/>
             <element name="repository" type="{http://www.emc.com/d2fs/models/repository}repository" minOccurs="0"/>
             <element name="workflow_details" type="{http://www.emc.com/d2fs/models/workflow_details}workflow_details" minOccurs="0"/>
             <element name="columnPreference" type="{http://www.emc.com/d2fs/models/preference}columnPreference" minOccurs="0"/>
             <element name="customData" type="{http://www.emc.com/d2fs/models/attribute}attribute" maxOccurs="unbounded" minOccurs="0"/>
             <element name="pageDetails" type="{http://www.emc.com/d2fs/models/context}pagingParam" minOccurs="0"/>
           </sequence>
           <attribute name="uid" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="count" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="menuType" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="dragSourceEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="dropTargetEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="exportToExcelEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="changeColumnsEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="multiSelectionEnabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="nbItemPerPage" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocItems()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColumnPreference`
  `getColumnPreference()`
  Gets the value of the columnPreference property.
  `Integer`
  `getCount()`
  Gets the value of the count property.
  `List<Attribute>`
  `getCustomData()`
  Gets the value of the customData property.
  `List<Item>`
  `getItems()`
  Gets the value of the items property.
  `String`
  `getMenuType()`
  Gets the value of the menuType property.
  `Integer`
  `getNbItemPerPage()`
  Gets the value of the nbItemPerPage property.
  `PagingParam`
  `getPageDetails()`
  Gets the value of the pageDetails property.
  `Repository`
  `getRepository()`
  Gets the value of the repository property.
  `String`
  `getUid()`
  Gets the value of the uid property.
  `Item`
  `getUpperItem()`
  Gets the value of the upperItem property.
  `WorkflowDetails`
  `getWorkflowDetails()`
  Gets the value of the workflowDetails property.
  `Boolean`
  `isChangeColumnsEnabled()`
  Gets the value of the changeColumnsEnabled property.
  `Boolean`
  `isDragSourceEnabled()`
  Gets the value of the dragSourceEnabled property.
  `Boolean`
  `isDropTargetEnabled()`
  Gets the value of the dropTargetEnabled property.
  `Boolean`
  `isExportToExcelEnabled()`
  Gets the value of the exportToExcelEnabled property.
  `Boolean`
  `isMultiSelectionEnabled()`
  Gets the value of the multiSelectionEnabled property.
  `void`
  `setChangeColumnsEnabled(Boolean value)`
  Sets the value of the changeColumnsEnabled property.
  `void`
  `setColumnPreference(ColumnPreference value)`
  Sets the value of the columnPreference property.
  `void`
  `setCount(Integer value)`
  Sets the value of the count property.
  `void`
  `setDragSourceEnabled(Boolean value)`
  Sets the value of the dragSourceEnabled property.
  `void`
  `setDropTargetEnabled(Boolean value)`
  Sets the value of the dropTargetEnabled property.
  `void`
  `setExportToExcelEnabled(Boolean value)`
  Sets the value of the exportToExcelEnabled property.
  `void`
  `setMenuType(String value)`
  Sets the value of the menuType property.
  `void`
  `setMultiSelectionEnabled(Boolean value)`
  Sets the value of the multiSelectionEnabled property.
  `void`
  `setNbItemPerPage(Integer value)`
  Sets the value of the nbItemPerPage property.
  `void`
  `setPageDetails(PagingParam value)`
  Sets the value of the pageDetails property.
  `void`
  `setRepository(Repository value)`
  Sets the value of the repository property.
  `void`
  `setUid(String value)`
  Sets the value of the uid property.
  `void`
  `setUpperItem(Item value)`
  Sets the value of the upperItem property.
  `void`
  `setWorkflowDetails(WorkflowDetails value)`
  Sets the value of the workflowDetails property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocItems

    public DocItems()

- ## Method Details

  - ### getUpperItem

    public Item getUpperItem()
    Gets the value of the upperItem property.
    Returns:
      possible object is `Item`

  - ### setUpperItem

    public void setUpperItem(Item value)
    Sets the value of the upperItem property.
    Parameters:
      `value` - allowed object is `Item`

  - ### getItems

    public List<Item> getItems()
    Gets the value of the items property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the items property.

    For example, to add a new item, do as follows:

            getItems().add(newItem);

    Objects of the following type(s) are allowed in the list `Item`

  - ### getRepository

    public Repository getRepository()
    Gets the value of the repository property.
    Returns:
      possible object is `Repository`

  - ### setRepository

    public void setRepository(Repository value)
    Sets the value of the repository property.
    Parameters:
      `value` - allowed object is `Repository`

  - ### getWorkflowDetails

    public WorkflowDetails getWorkflowDetails()
    Gets the value of the workflowDetails property.
    Returns:
      possible object is `WorkflowDetails`

  - ### setWorkflowDetails

    public void setWorkflowDetails(WorkflowDetails value)
    Sets the value of the workflowDetails property.
    Parameters:
      `value` - allowed object is `WorkflowDetails`

  - ### getColumnPreference

    public ColumnPreference getColumnPreference()
    Gets the value of the columnPreference property.
    Returns:
      possible object is `ColumnPreference`

  - ### setColumnPreference

    public void setColumnPreference(ColumnPreference value)
    Sets the value of the columnPreference property.
    Parameters:
      `value` - allowed object is `ColumnPreference`

  - ### getCustomData

    public List<Attribute> getCustomData()
    Gets the value of the customData property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the customData property.

    For example, to add a new item, do as follows:

            getCustomData().add(newItem);

    Objects of the following type(s) are allowed in the list `Attribute`

  - ### getPageDetails

    public PagingParam getPageDetails()
    Gets the value of the pageDetails property.
    Returns:
      possible object is `PagingParam`

  - ### setPageDetails

    public void setPageDetails(PagingParam value)
    Sets the value of the pageDetails property.
    Parameters:
      `value` - allowed object is `PagingParam`

  - ### getUid

    public String getUid()
    Gets the value of the uid property.
    Returns:
      possible object is `String`

  - ### setUid

    public void setUid(String value)
    Sets the value of the uid property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCount

    public Integer getCount()
    Gets the value of the count property.
    Returns:
      possible object is `Integer`

  - ### setCount

    public void setCount(Integer value)
    Sets the value of the count property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getMenuType

    public String getMenuType()
    Gets the value of the menuType property.
    Returns:
      possible object is `String`

  - ### setMenuType

    public void setMenuType(String value)
    Sets the value of the menuType property.
    Parameters:
      `value` - allowed object is `String`

  - ### isDragSourceEnabled

    public Boolean isDragSourceEnabled()
    Gets the value of the dragSourceEnabled property.
    Returns:
      possible object is `Boolean`

  - ### setDragSourceEnabled

    public void setDragSourceEnabled(Boolean value)
    Sets the value of the dragSourceEnabled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isDropTargetEnabled

    public Boolean isDropTargetEnabled()
    Gets the value of the dropTargetEnabled property.
    Returns:
      possible object is `Boolean`

  - ### setDropTargetEnabled

    public void setDropTargetEnabled(Boolean value)
    Sets the value of the dropTargetEnabled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isExportToExcelEnabled

    public Boolean isExportToExcelEnabled()
    Gets the value of the exportToExcelEnabled property.
    Returns:
      possible object is `Boolean`

  - ### setExportToExcelEnabled

    public void setExportToExcelEnabled(Boolean value)
    Sets the value of the exportToExcelEnabled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isChangeColumnsEnabled

    public Boolean isChangeColumnsEnabled()
    Gets the value of the changeColumnsEnabled property.
    Returns:
      possible object is `Boolean`

  - ### setChangeColumnsEnabled

    public void setChangeColumnsEnabled(Boolean value)
    Sets the value of the changeColumnsEnabled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isMultiSelectionEnabled

    public Boolean isMultiSelectionEnabled()
    Gets the value of the multiSelectionEnabled property.
    Returns:
      possible object is `Boolean`

  - ### setMultiSelectionEnabled

    public void setMultiSelectionEnabled(Boolean value)
    Sets the value of the multiSelectionEnabled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getNbItemPerPage

    public Integer getNbItemPerPage()
    Gets the value of the nbItemPerPage property.
    Returns:
      possible object is `Integer`

  - ### setNbItemPerPage

    public void setNbItemPerPage(Integer value)
    Sets the value of the nbItemPerPage property.
    Parameters:
      `value` - allowed object is `Integer`